# The MEME Suite

## Motif-based sequence analysis tools

## meme2meme

### Usage:

`meme2meme [options] [<meme motif file>]+`

### Description

Convert and merge multiple MEME formatted files into a single minimal meme format file.

### Input

#### MEME Motif File

A motif file in one of the formats output by MEME or DREME.

### Output

### Options

Option | Parameter | Description | Default Behaviour
--- | --- | --- | ---
Input/Output
-consensus |  | Numeric names are swapped for a consensus of the motif (IUPAC in the case of DNA or RNA) using the following procedure on each motif column. 1) The letter frequencies are sorted in decreasing order. 2) Letters with frequencies less than half that of the maximum are discarded. 3a) If the remaining set of letters matches a symbol (including ambiguous symbols), that symbol is used. 3b) Otherwise, if the remaining set contains more than half the core symbols, the wildcard is used. 3c) Otherwise the (up to) three letters with highest frequencies are placed between regular expression brackets. | The original names are used.
-forceurl |  | MEME motifs may already have URLs embedded but this option causes them to be replaced by the URL passed to -url. | Existing URLs are kept.
-xalph |  | Convert all motifs to use the same alphabet as specified in the first motif file. The alphabet specifed in the first motif file must contain a superset of all the core symbols in the other motif file alphabets. | All motif files must use the same alphabet.